dnl The original version file was shamelessly stolen, and heavily modified,
dnl from David Mazieres's sfs repository.

AC_DEFUN([SEARCHY_SET_LIBRT],
[
ac_save_LIBS=$LIBS
case $host_os in
    freebsd*)
        ;;
    linux*)
        LIBS="$ac_save_LIBS -lrt"
        ;;
    darwin*)
        ;;
    *)
        ;;
esac
])

dnl
dnl find the db headers
dnl (originally by max in the doa repository)
dnl
AC_DEFUN([SEARCHY_DB_HEADERS],
[
ac_save_CFLAGS=$CFLAGS
ac_save_LIBS=$LIBS
dirs="${prefix}/include /usr/local/include /usr/include"
AC_CACHE_CHECK(for db.h, oc_cv_db_h,
[for dir in " " $dirs; do
	case $dir in
		" " ) iflags="" ;;
		*)    iflags="-I${dir}" ;;
	esac
	CFLAGS="${ac_save_CFLAGS}"
	AC_TRY_COMPILE([#include <db.h>], 0,
		 	oc_cv_db_h="${iflags}"; break)
done
if test -z ${oc_cv_db_h+set}
then
	oc_cv_db_h=no
	AC_MSG_ERROR([Could not find Berkeley db headers!])
fi
])
CFLAGS=$ac_save_CFLAGS
CPPFLAGS="$CPPFLAGS $oc_cv_db_h"
LIBS="$ac_save_LIBS -ldb"
])


dnl
dnl Find mergesort in stdlib
dnl
AC_DEFUN([SEARCHY_FINDSORT],
[
AC_EGREP_HEADER(mergesort, stdlib.h,
	AC_DEFINE(HAVE_MERGESORT, 1,
	Define if stdlib includes mergesort.)
	CPPFLAGS="$CPPFLAGS -DHAVE_MERGESORT")
])
