#ifndef __BETWEEN_H__
#define __BETWEEN_H__

#include "queryop.h"

class Between : public QueryOp {
  public:
    Between (QueryOp *in, QueryOp *sep) : _in (in), _sep (sep), QueryOp () {}
    ~Between ();
    virtual string name () { return "Between";}
    unsigned max () { return _in->max ();}
    QueryOp *sep () { return _sep;}
    Match curr () { return _curr_m;}

    Match next ();
    Match advance (PostIt to);

  private:
    QueryOp *_sep;
    QueryOp *_in;
    Match _curr_m;
};

#endif
